[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileCtrl' (#lcl)

# TCustomFileListBox.KeyUp

Implements the handler for KeyUp events in the control.

## Declaration

Source position: filectrl.pp line 65

`protected procedure TCustomFileListBox.KeyUp(`
`var Key: Word;`
`Shift: TShiftState`
`); override;`

## Arguments

`Key` |  | Virtual key code examined in the method.
`Shift` |  | Shift, Alt, or Ctrl modifier for the virtual key.

## Description

Overridden in TCustomFileListBox to update the selected file name prior to calling the inherited method.

## See also

TCustomFileListBox.FileName |  | FileName - the name of the selected file.
TCustomFileListBox.UpdateFileList |  | Loads the list of files and/or directories for the list box control.
TWinControl.KeyUp |  | Signals the OnKeyUp event handler (when assigned).